class CreateBoards < ActiveRecord::Migration[8.1]
  def change
    create_table :boards do |t|
      t.integer :game_id, null: false
      t.string :board_type, null: false, default: 'negotiation'
      t.integer :created_by_participant_id
      t.boolean :is_public, null: false, default: false

      t.timestamps
    end

    add_index :boards, :game_id
    add_index :boards, :board_type
    add_foreign_key :boards, :games
  end
end
